using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Dynamic;
using System.IO;
using System.Linq;
using System.Web;
using HdhCms.AppCode;
using HdhCms.AppCode.ParseLabel;

public static class ParseHtml
{
    /// <summary>
    /// 模板解析变量，可以参考二次开发
    /// </summary>
    /// <param name="DonforLr">模板内容</param>
    /// <param name="Dyj">一级栏目</param>
    /// <param name="Dej">二级栏目</param>
    /// <param name="Dsj">三级栏目</param>
    /// <param name="Did">文章或内容ID</param>
    /// <param name="Dym">页码</param>
    /// <param name="Dzj">章节</param>
    /// <param name="Dlr"></param>
    /// <param name="HdhGjc">搜索关键词</param>
    /// <param name="Space">会员名</param>
    /// <returns></returns>
    public static string Parsing(string DonforLr, string Dyj, string Dej, string Dsj, string Did, string Dym, string Dzj, string Dlr, string HdhGjc, string Space)
    {
        HdhToLabel HdhToLabel = new HdhToLabel();
        HdhMemLabel HdhMemLabel = new HdhMemLabel();
        DonforLr = HdhToLabel.HeDongHuaTemplateWj(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaModuel(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaDoChangeAll(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuafixedif(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaAdvert(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaPosition(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaSiteTitle(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaMainMenu(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaMenuList(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaAdvertBt(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaTextAds(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaSmallTitle(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaBigTitle(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaContentTitle(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaOrderCount(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaCataLog(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaSingleMenu(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaPageNoOne(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaContent(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaDisplay(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaProGoodsNorms(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaPhotoAlbum(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaBigVideo(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaMoreVideo(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaListVideo(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaKeyWord(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaProdetail(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaComment(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaLength(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaLeftStr(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhMemLabel.HeDongHuaMemList(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhMemLabel.HeDongHuaMemPage(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhMemLabel.HeDongHuaSendEmail(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaTagList(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaParameter(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaParameterCount(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaAppShare(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaFor(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        DonforLr = HdhToLabel.HeDongHuaif(DonforLr, Dyj, Dej, Dsj, Did, Dym, Dzj, Dlr, HdhGjc, Space);
        return DonforLr;
    }
}
